# Interface DependenciesMetadata<T extends DependencyMetadata>

Type Parameters:
  `T` - type of the dependency metadata in this collection

All Superinterfaces:
  `Collection<T>, Iterable<T>`

All Known Subinterfaces:
  `DependencyConstraintsMetadata, DirectDependenciesMetadata`

public interface DependenciesMetadata<T extends DependencyMetadata> extends Collection<T>
Describes metadata about a dependency - direct dependencies or dependency constraints - declared in a resolved component's metadata.

Since:
  4.4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(String dependencyNotation)`
  Add a dependency or a dependency constraint using the string notation: `group:name:version`.
  `void`
  `add(String dependencyNotation, Action<? super T> configureAction)`
  Add a dependency or a dependency constraint using the string notation: `group:name:version`.
  `void`
  `add(Map<String,String> dependencyNotation)`
  Deprecated.
  This method will be removed in Gradle 10.
  `void`
  `add(Map<String,String> dependencyNotation, Action<? super T> configureAction)`
  Deprecated.
  This method will be removed in Gradle 10.

  ### Methods inherited from interface Collection

  `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, remove, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray, toArray`

  ### Methods inherited from interface Iterable

  `forEach`

- ## Method Details

  - ### add

    void add(String dependencyNotation)
    Add a dependency or a dependency constraint using the string notation: `group:name:version`.
    Parameters:
      `dependencyNotation` - the dependency
    Since:
      4.4

  - ### add

    @Deprecated void add(Map<String,String> dependencyNotation)
    Deprecated.
    This method will be removed in Gradle 10. Use `add(String)` instead.
    Add a dependency or a dependency constraint using the map notation: `group: group, name: name, version: version`.
    Since:
      4.4

  - ### add

    void add(String dependencyNotation, Action<? super T> configureAction)
    Add a dependency or a dependency constraint using the string notation: `group:name:version`.
    Parameters:
      `dependencyNotation` - the dependency
      `configureAction` - action to configure details of the dependency - see `DependencyMetadata`
    Since:
      4.4

  - ### add

    @Deprecated void add(Map<String,String> dependencyNotation, Action<? super T> configureAction)
    Deprecated.
    This method will be removed in Gradle 10. Use `add(String, Action)` instead.
    Add a dependency or a dependency constraint using the map notation: `group: group, name: name, version: version`.
    Parameters:
      `dependencyNotation` - the dependency
      `configureAction` - action to configure details of the dependency - see `DependencyMetadata`
    Since:
      4.4